## com.puppycrawl.tools.checkstyle.checks.whitespace
Class NoWhitespaceAfterCheck

    java.lang.Object
      com.puppycrawl.tools.checkstyle.api.AutomaticBean
          com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
              com.puppycrawl.tools.checkstyle.api.Check
                  com.puppycrawl.tools.checkstyle.checks.whitespace.NoWhitespaceAfterCheck

All Implemented Interfaces:
  Configurable, Contextualizable

    public class NoWhitespaceAfterCheck

extends Check

Checks that there is no whitespace after a token. More specifically, it checks that it is not followed by whitespace, or (if linebreaks are allowed) all characters on the line after are whitespace. To forbid linebreaks afer a token, set property allowLineBreaks to false.

By default the check will check the following operators: `ARRAY_INIT`, `BNOT`, `DEC`, `DOT`, `INC`, `LNOT`, `UNARY_MINUS`, `UNARY_PLUS`. It also supports the operator `TYPECAST`.

An example of how to configure the check is:

     <module name="NoWhitespaceAfter"/>

An example of how to configure the check to forbid linebreaks after a `DOT` token is:

     <module name="NoWhitespaceAfter">
         <property name="tokens" value="DOT"/>
         <property name="allowLineBreaks" value="false"/>
     </module>

Version:
  1.0
Author:
  Rick Giles, lkuehne

Constructor Summary
`NoWhitespaceAfterCheck()`

Method Summary
`int[]` `getAcceptableTokens()` The configurable token set.
`int[]` `getDefaultTokens()` Returns the default token a check is interested in.
`void` `setAllowLineBreaks(boolean aAllowLineBreaks)` Control whether whitespace is flagged at linebreaks.
`void` `visitToken(DetailAST aAST)` Called to process a token.

Methods inherited from class com.puppycrawl.tools.checkstyle.api.Check
`beginTree, destroy, finishTree, getClassLoader, getFileContents, getLines, getRequiredTokens, getTabWidth, getTokenNames, init, leaveToken, log, log, setClassLoader, setFileContents, setMessages, setTabWidth, setTokens`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AbstractViolationReporter
`getCustomMessages, getId, getMessageBundle, getSeverity, getSeverityLevel, log, setId, setSeverity`

Methods inherited from class com.puppycrawl.tools.checkstyle.api.AutomaticBean
`configure, contextualize, finishLocalSetup, getConfiguration, setupChild`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoWhitespaceAfterCheck

    public NoWhitespaceAfterCheck()

Method Detail

### getDefaultTokens

    public int[] getDefaultTokens()

  Description copied from class: `Check`
  Returns the default token a check is interested in. Only used if the configuration for a check does not define the tokens.

  Specified by:
    `getDefaultTokens` in class `Check`
  Returns:
    the default tokens
  See Also:
    `TokenTypes`

### getAcceptableTokens

    public int[] getAcceptableTokens()

  Description copied from class: `Check`
  The configurable token set. Used to protect Checks against malicious users who specify an unacceptable token set in the configuration file. The default implementation returns the check's default tokens.

  Overrides:
    `getAcceptableTokens` in class `Check`
  Returns:
    the token set this check is designed for.
  See Also:
    `TokenTypes`

### visitToken

    public void visitToken(DetailAST aAST)

  Description copied from class: `Check`
  Called to process a token.

  Overrides:
    `visitToken` in class `Check`
  Parameters:
    `aAST` - the token to process

### setAllowLineBreaks

    public void setAllowLineBreaks(boolean aAllowLineBreaks)

  Control whether whitespace is flagged at linebreaks.

  Parameters:
    `aAllowLineBreaks` - whether whitespace should be flagged at linebreaks.

Copyright © 2001-2011. All Rights Reserved.